Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 1377733004: Convert uint16_t to int for WebRTC cipher/crypto suite (Closed)

Created:
3 years, 11 months ago by guoweis_webrtc
Modified:
3 years, 11 months ago
CC:
webrtc-reviews_webrtc.org, yujie_mao (webrtc), Andrew MacDonald, tterriberry_mozilla.com, qiang.lu, niklas.enbom, peah-webrtc
Base URL:
https://chromium.googlesource.com/external/webrtc@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Convert uint16_t to int for WebRTC cipher/crypto suite. This is a follow up CL on https://codereview.webrtc.org/1337673002 BUG= R=pthatcher@webrtc.org Committed: https://crrev.com/6caafbe5b6b777b309a6eb90a02cf54d5106fb9b Cr-Commit-Position: refs/heads/master@{#10175}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+50 lines, -55 lines) Patch
M talk/app/webrtc/statscollector.cc View 1 chunk +1 line, -1 line 0 comments Download
M talk/app/webrtc/statscollector_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M talk/app/webrtc/webrtcsession.cc View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/base/opensslstreamadapter.h View 1 2 chunks +4 lines, -4 lines 0 comments Download
M webrtc/base/opensslstreamadapter.cc View 1 2 3 4 chunks +12 lines, -13 lines 0 comments Download
M webrtc/base/sslstreamadapter.h View 1 4 chunks +7 lines, -7 lines 0 comments Download
M webrtc/base/sslstreamadapter.cc View 1 4 chunks +7 lines, -9 lines 0 comments Download
M webrtc/base/sslstreamadapter_unittest.cc View 5 chunks +9 lines, -9 lines 0 comments Download
M webrtc/p2p/base/dtlstransportchannel.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/p2p/base/dtlstransportchannel.cc View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/p2p/base/dtlstransportchannel_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M webrtc/p2p/base/faketransportcontroller.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/p2p/base/p2ptransportchannel.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/p2p/base/transport.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/p2p/base/transportchannel.h View 1 1 chunk +1 line, -3 lines 1 comment Download

Messages

Total messages: 14 (6 generated)
guoweis_webrtc
PTAL.
3 years, 11 months ago (2015-10-02 05:01:40 UTC) #2
guoweis_webrtc
On 2015/10/02 05:01:40, guoweis wrote: > PTAL. I'll do another CL for the function name ...
3 years, 11 months ago (2015-10-02 05:02:04 UTC) #3
pthatcher1
lgtm
3 years, 11 months ago (2015-10-05 18:36:59 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1377733004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1377733004/40001
3 years, 11 months ago (2015-10-05 18:40:53 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1377733004/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1377733004/60001
3 years, 11 months ago (2015-10-05 19:19:45 UTC) #10
guoweis_webrtc
Committed patchset #4 (id:60001) manually as 6caafbe5b6b777b309a6eb90a02cf54d5106fb9b (presubmit successful).
3 years, 11 months ago (2015-10-05 19:43:55 UTC) #11
commit-bot: I haz the power
Patchset 4 (id:??) landed as https://crrev.com/6caafbe5b6b777b309a6eb90a02cf54d5106fb9b Cr-Commit-Position: refs/heads/master@{#10175}
3 years, 11 months ago (2015-10-05 19:44:01 UTC) #12
juberti
3 years, 11 months ago (2015-10-06 05:52:39 UTC) #14
Message was sent while issue was closed.
https://codereview.webrtc.org/1377733004/diff/60001/webrtc/p2p/base/transport...
File webrtc/p2p/base/transportchannel.h (right):

https://codereview.webrtc.org/1377733004/diff/60001/webrtc/p2p/base/transport...
webrtc/p2p/base/transportchannel.h:110: virtual bool
GetSrtpCryptoSuite(std::string* cipher) {
Please fix this naming as well - suggest putting it back to GetSrtpCipher until
we do the string->int switcheroo.

Powered by Google App Engine
This is Rietveld 408576698